Bug 1024070 - yum-builddep requires source repositories to be disabled
yum-builddep requires source repositories to be disabled
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: yum-utils (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Valentina Mukhamedzhanova
Patrik Kis
:
Depends On:
Blocks: 1088403
  Show dependency treegraph
 
Reported: 2013-10-28 14:10 EDT by Ray Strode [halfline]
Modified: 2014-06-18 03:17 EDT (History)
6 users (show)

See Also:
Fixed In Version: yum-utils-1.1.31-23.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1088403 (view as bug list)
Environment:
Last Closed: 2014-06-13 07:47:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2013-10-28 14:10:08 EDT
The yum-builddep man page says:

       The source RPM for the specified  package  must  be
       available  in a Yum repository (which will be automatically enabled, if
       it is disabled)

But adding an enabled source yum repository doesn't make yum-builddep function in RHEL 7.  Editing the repo file to have enabled=0 instead of enabled=1 does make it work, though.  Toggling it back to 1 again, makes it fail again.

It's apparently only looking at disabled repositories.
Comment 8 Ludek Smid 2014-06-13 07:47:52 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.